library(stockassessment)
load("run/model.RData")
FC<-list()

#2022 forecast
#F=0
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,0,0), fval=c(0.366,0.366,NA,NA), label="2020F=2021F then zero", rec.years=1973:2020)

#Fmsy
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), fval=c(0.366,0.366,0.46,0.46), label="2020F=2021F then Fmsy", #rec.years=1973:2020)

#F=SQ
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), fval=c(0.366,0.366,0.366,0.366), label="SQ, 2020F=2021F", #rec.years=1973:2020)

#F that will get us to Blim
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fval=c(0.366,0.366,NA,0.268), fscale=c(NA,NA,NA,NA), nextssb=c(NA,NA,10354,NA),label="2020F=2021F #SSB(2022)= Blim")

#F that will get us to Bpa and in this case MSYBtrigger
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fval=c(0.366,0.366,NA,0.268), fscale=c(NA,NA,NA,NA), nextssb=c(NA,NA,14803,NA),label="2020F=2021F #SSB(2022)= Bpa")

#Flim in 2022
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fval=c(0.366,0.366,2.34,2.34), fscale=c(NA,NA,NA,NA), label="2020F=2021F Flim(2022)")

#Fpa in 2022
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fval=c(0.366,0.366,1.33,1.33), fscale=c(NA,NA,NA,NA), label="2020F=2021F Fpa(2022)")


# 2022  TAC2021
# Fmsy
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(.394,NA,.46,.46), catchval=c(NA,26091,NA,NA),label="2020+TAC2021 then Fmsy", rec.years=1973:2020)

# Fpa
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fval=c(.394,NA,1.33,1.33),catchval=c(NA,26091,NA,NA),label="2020+TAC2021 then Fpa", #rec.years=1973:2020)

# Flim
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fval=c(.394,NA,2.34,2.34),catchval=c(NA,26091,NA,NA), label="2020+TAC2021 then Flim", #rec.years=1973:2020)

# SQ 
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fval=c(0.394,NA,1.034,1.034),catchval=c(NA,26091,NA,NA),rec.years=1973:2020, label="2020+TAC2021 #then SQ")

# F=0
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fval=c(.394,NA,NA,NA), catchval=c(NA,26091,NA,NA), fscale=c(NA,NA,0,0),rec.years=1973:2020, #label="2020+TAC2021 then F=0")

# SSB(2023)=Blim
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,26091,NA,NA),fval=c(.394,NA,NA,.46), nextssb=c(NA,NA,10354,NA),label="TAC2021+SSB(2023)= Blim",rec.years=1973:2020)

# SSB(2023)=Bpa
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,26091,NA,NA), fval=c(.394,NA,NA,.46), nextssb=c(NA,NA,14802,NA),label="TAC2021+SSB(2023)= Bpa",rec.years=1973:2020)

save(FC, file="run/forecast.RData")
